allow-lan: false
bind-address: 127.0.0.1
mode: rule
log-level: info
ipv6: false
unified-delay: true
tcp-concurrent: true

listeners:
  - name: socks
    type: socks
    listen: 127.0.0.1
    port: 2343
    udp: true
    users: []

proxies:
  - name: anytls-ech
    type: anytls
    server: 188.214.36.209
    port: 443
    password: "5BwSaYYMXfJPhHz8GJtPmDSzcpfWtNtl"
    client-fingerprint: chrome
    udp: true
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    sni: any.sidhartha.ru
    alpn:
      - h2
      - http/1.1

    skip-cert-verify: false
    ech-opts:
      enable: true
      config: "AEv+DQBHAAAgACB1U6iNWniNzxHDAL76RDD7Yk7WTRR1D9Rc5p3QEG1HWgAMAAEAAQABAAIAAQADABBhbnkuc2lkaGFydGhhLnJ1AAA="

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - anytls-ech

rules:
  - MATCH,PROXY
